Intrusion Prevention

Apple.QuickTime.QTPlugin.OCX.ActiveX.Buffer.Overflow

Description

This indicates an attack attempt to exploit a Memory Corruption vulnerability in Apple Quicktime.
The vulnerability, which is located in the "QTPlugin.ocx" ActiveX control, can be exploited through misuse of the "SetBgColor", "SetMovieName", "SetTarget", "SetHREF" and "SetMatrix" methods. It may allow remote attackers to execute arbitrary code in the context of the application using the affected ActiveX control. Failed exploit attempts will likely cause the program to crash, resulting in a Denial of Service condition.

Affected Products

Apple QuickTime Player 7.4.1
Apple QuickTime Player 7.3.1.70
Apple QuickTime Player 7.3.1
Apple QuickTime Player 7.1.6
Apple QuickTime Player 7.1.5
Apple QuickTime Player 7.1.4
Apple QuickTime Player 7.1.3
Apple QuickTime Player 7.1.2
Apple QuickTime Player 7.1.1
Apple QuickTime Player 7.0.4
Apple QuickTime Player 7.0.3
Apple QuickTime Player 7.0.2
Apple QuickTime Player 7.0.1
Apple QuickTime Player 7.0
Apple QuickTime Player 7.4
Apple QuickTime Player 7.3
Apple QuickTime Player 7.2
Apple QuickTime Player 7.1

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Upgrade to version 7.4.5 or newer, available from the vendor's web site:
QuickTime 7.4.5 for Windows:
http://www.apple.com/support/downloads/quicktime745forwindows.html

CVE References

CVE-2008-0778